package com.sinosig.core.module2.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface IYDJJDCTable {

    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //厂牌型号
    String getCpxh();
    void setCpxh(String cpxh);
    //发动机号
    String getFdjh();
    void setFdjh(String fdjh);
    //车辆大类
    String getCldl();
    void setCldl(String cldl);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //功率
    Double getGl();
    void setGl(Double gl);
    //号牌种类
    String getHpzl();
    void setHpzl(String hpzl);
    //车牌号码
    String getCphm();
    void setCphm(String cphm);
    //初登日期
    Timestamp getCdrq();
    void setCdrq(Timestamp cdrq);
    //核定载客
    Integer getHdzk();
    void setHdzk(Integer hdzk);
    //排量
    Double getPl();
    void setPl(Double pl);
    //车辆实际价值
    BigDecimal getClsjjz();
    void setClsjjz(BigDecimal clsjjz);
    //打印厂牌型号
    String getDycpxh();
    void setDycpxh(String dycpxh);
    //使用性质
    String getSyxz();
    void setSyxz(String syxz);
    //车辆种类
    String getClzl();
    void setClzl(String clzl);
    //整备质量
    Double getZbzl();
    void setZbzl(Double zbzl);
    //已登记机动车名称
    String getYdjjdcname();
    void setYdjjdcname(String ydjjdcname);
    //新车购置价
    BigDecimal getXcgzj();
    void setXcgzj(BigDecimal xcgzj);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //核定载质量
    Double getHdzzl();
    void setHdzzl(Double hdzzl);
    //A/B类
    String getAbl();
    void setAbl(String abl);
    //车辆类型描述
    String getCllxms();
    void setCllxms(String cllxms);
    //车架号
    String getCjh();
    void setCjh(String cjh);
    //号牌底色
    String getHpds();
    void setHpds(String hpds);
    //已登记机动车标识
    String getYdjjdcid();
    void setYdjjdcid(String ydjjdcid);
}
